GET /api/v3/vendor/{vendorId}/digest/actual/yearly

Retrieves rolled up actual billing data by vendor for a given number of years- Result includes cost, use, unit cost on an yearly basis. It also includes commodity level break up.

GetVendorActualYearlyV3 Permissions: VendorsAndRatesModule (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
vendorId The vendor to retrieve data for integer (int32) Required

Query Parameters

Name Description Type Required
numberOfYears Number of years of data to return includes the current year - Defaults to 4 integer (int32) Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

VendorDigestActualYearlyResponse
Property Description Type
commodities An array of yearly data per commodity VendorDigestActualYearlyResponse+CommodityData[]
VendorDigestActualYearlyResponse+CommodityData properties
Property Description Type
commodityCode The commodity code string
commodityId The commodity identifier integer (int32)
commodityInfo The commodity info string
commonUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
results An array of yearly data VendorDigestActualYearlyResponse+CommodityResults[]
VendorDigestActualYearlyResponse+CommodityResults properties
Property Description Type
commonUse Common Use number (double)
commonUseUnitCost Common Use Unit Cost number (double)
globalUse Global Use number (double)
globalUseUnitCost Global Use Unit Cost number (double)
totalCost Total Cost number (double)
year year string
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
globalUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
results An array of yearly data VendorDigestActualYearlyResponse+Results[]
VendorDigestActualYearlyResponse+Results properties
Property Description Type
globalUse Global Use number (double)
globalUseUnitCost Global Use Unit Cost number (double)
totalCost Total Cost number (double)
year Year string
updated The date and time the data was updated string (date-time)
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
Example Response application/json
{  "commodities": [
    {    "commodityCode": "string",    "commodityId": 1,    "commodityInfo": "string",    "commonUseUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "costUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "results": [
      {      "commonUse": 1.0,      "commonUseUnitCost": 1.0,      "globalUse": 1.0,      "globalUseUnitCost": 1.0,      "totalCost": 1.0,      "year": "string"
    }
    ]
  }
  ],  "costUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "globalUseUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "results": [
    {    "globalUse": 1.0,    "globalUseUnitCost": 1.0,    "totalCost": 1.0,    "year": "string"
  }
  ],  "updated": "2026-03-30",  "vendorCode": "string",  "vendorId": 1,  "vendorInfo": "string"
}
204 No Content The request succeeded. No content is returned in the response body.